Page MenuHomePhabricator

Add permission 'managechangetags' to 'abusefilter' group on English Wikipedia
Closed, ResolvedPublic

Description

As per this discussion on the Edit Filter Noticeboard, could the managechangetags permission please be added to the abusefilter group on the English Wikipedia?

Event Timeline

Samtar created this task.Aug 2 2016, 7:55 AM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 2 2016, 7:55 AM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio added a subscriber: MarcoAurelio.

I'll take care of this.

Just a question of order. I am right assuming that the consensus generated on that page linked above is sufficient for requesting a configuration change for en.wikipedia, and that no formal RfC, vote or bureaucrat intervention is needed? Thank you.

@MarcoAurelio As far as I know, we have no formal policy on the adding of user rights. However, considering the fact that no one objected to the proposal and there were a considerable number of !votes in favour of adding the permission to the group, I think it's fairly safe to assume that an RFC or something similar would end up with the same result.

@MarcoAurelio As far as I know, we have no formal policy on the adding of user rights. However, considering the fact that no one objected to the proposal and there were a considerable number of !votes in favour of adding the permission to the group, I think it's fairly safe to assume that an RFC or something similar would end up with the same result.

Thank you. I just wanted to be sure, given that enwiki can be very bureaucratic at times :-)

@MarcoAurelio I've code reviewed (lgtm), but it requires a rebase. Thanks for grabbing this

JJMC89 added a subscriber: JJMC89.Aug 2 2016, 3:19 PM

@Samtar You are sure, that they just want managechangetags, and not deletechangetags? This changed some time ago.

Zppix changed the task status from Open to Stalled.Aug 2 2016, 4:12 PM
Zppix added a subscriber: Zppix.

I would wait, I'm going to do some digging on this task since i'm an active editor on enwiki and confirm theres no policies.

Zppix changed the task status from Stalled to Open.Aug 2 2016, 4:17 PM

Theres consensus and theres no policy against doing this so I gives this my approval (if this matters at all :P) to do this

Samtar added a comment.Aug 2 2016, 7:07 PM

@Luke081515 certain, this was addressed in the initial discussion. Thank you for confirming, and thank you @Zppix

Change 302400 merged by jenkins-bot:
Allow abuse filter editors group to edit tags on en.wikipedia

https://gerrit.wikimedia.org/r/302400

Mentioned in SAL [2016-08-02T23:29:31Z] <dereckson@tin> Synchronized wmf-config/abusefilter.php: Allow abuse filter editors group to edit tags on en.wikipedia (T141847) (duration: 00m 32s)

Dereckson closed this task as Resolved.Aug 3 2016, 12:32 AM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:07 PM